Index: trunk/data/mapbender/http/nav/blank_eig.html
===================================================================
--- trunk/data/mapbender/http/nav/blank_eig.html	(revision 60)
+++ trunk/data/mapbender/http/nav/blank_eig.html	(revision 60)
@@ -0,0 +1,16 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<link rel="stylesheet" type="text/css" href="alkisnav.css">
+	<title></title>
+</head>
+<body>
+<p class='start'>Suche nach Eigent&uuml;mern in ALKIS:<br><br>
+Schritt 1: Anfang des Nachnamens eingeben<br>
+oder Suche nach Namensbestandteilen mit Platzhalter "*", z.B. "*meier"<br><br>
+Schritt 2: Auswahl Person<br><br>
+Schritt 3: Auswahl Grundbuch-Blatt<br><br>
+Schritt 4: Auswahl Flurst&uuml;ck</p>
+</body>
+</html>
Index: trunk/data/mapbender/http/nav/blank_fls.html
===================================================================
--- trunk/data/mapbender/http/nav/blank_fls.html	(revision 60)
+++ trunk/data/mapbender/http/nav/blank_fls.html	(revision 60)
@@ -0,0 +1,18 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<link rel="stylesheet" type="text/css" href="alkisnav.css">
+	<title></title>
+</head>
+<body>
+<p class='start'>Suche nach Flurst&uuml;ckskennzeichen:<br><br>
+Dieser Programmteil ist bisher erst teilweise realisiert!<br><br>
+M&ouml;gliche Eingaben:<br><br>
+Anfang oder Teil des Gemarkungsnamens<br>
+Flur gggg-fff<br>
+Flurst&uuml;ck gggg-fff-zzzzz<br>
+Flurst. mit Bruchnummer gggg-fff-zzzzz/nnn<br><br>
+Wobei:<br>gggg = Gemarkungsnummer<br>fff = Flurnummer<br>zzzzz = Z&auml;hler<br>nnn = Nenner</p>
+</body>
+</html>
Index: trunk/data/mapbender/http/nav/alkisnav.css
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav.css	(revision 60)
+++ trunk/data/mapbender/http/nav/alkisnav.css	(revision 60)
@@ -0,0 +1,97 @@
+/* Style fuer ALKIS-Navigation 
+	Vers. 2010-11-23
+*/
+body,p,a,.textfield,.sbutton,.cityText,.streetText,.city {font-family: Verdana, Arial, Helvetica, sans-serif;}
+body		{	font-size: 11px; color: #000000; margin: 0px;}
+
+p			{font-size: 10px;}
+p.hilfe 	{font-size: 9px; text-align: right; color: gray;} /* Programmier-Hilfsfelder */
+p.start 	{font-size: 9px; color: gray;}
+p.nam		{font-size: 10px; border: 1px solid navy; padding: 3px; margin: 0px;}
+p.err		{font-size: 11px; color: red;}
+
+a {font-size: 11px; text-decoration: none; margin: 0px;}
+/*	a:link 	{color: #000000;} a:visited{color: #000000;} */
+	a:hover	{color: red;}
+	a:active	{color: red;}
+
+/* abgestufte Treffer in Suche */
+div			{margin: 0px; padding: 0px;}
+div.back 	{font-size: 10px; color: gray; border-bottom: 1px dotted gray;}
+div.nam		{color: maroon;} /* Name */
+div.gb		{color: green;  margin-left: 6px;} /* Grundbuch */
+div.gk		{color: black;  margin-left: 0px; margin-top: 6px;} /* Gemarkung */
+div.fl		{color: olive;  margin-left: 6px; margin-top: 4px;} /* Flur */
+div.fs		{color: navy;   margin-left: 12px; margin-top: 0px;} /* Flurstueck */
+div.st		{color: maroon;}
+
+td.hsnr {text-align: center; margin: 2px;}
+hr {color: gray;}
+
+.textfield{
+	border: 1px solid #990000;
+	height: 20px;
+	width: 140px;
+	background: #FFFFFF;
+}
+.sbutton{font-size: 11px;
+	font-weight: normal;
+	border: solid thin;
+	width: 22px;
+	height: 20px;
+	background: #6699FF;
+}
+img.nwlink	{border: 0px; margin: 0px; padding: 0px;} /* Icons */
+.letter		{cursor: pointer; font-weight: bold;}
+.cityText	{color: black;}
+.streetText	{color: #6699FF; font-size: 13px; font-weight: bold;}
+
+/* Registertabs */
+/* ul in einem <div id='tabs' */
+div#tabs ul {
+	position: absolute; top: 0px;
+	margin-top: 0px;	
+	margin-left: 0px;
+	margin-bottom: 20px;
+	padding: 0px;
+	width: 220px;
+	text-align: left;
+	border:0px dashed #00aa00;
+}
+div#tabs li {
+	cursor: pointer;
+	list-style: none; /* Eintraege NEBENeinander */
+	float: left;
+	text-align: center;
+	background-color: #F9F9F9;
+	border: 1px solid #CCD5DE;
+	border-bottom-width: 1px;
+	vertical-align: text-bottom;
+	position: relative;
+	background-image: url(./img/tab_bg_grau.gif); /* inaktive Tabs grau */
+	background-repeat: repeat-x;
+	background-position: top left;
+	margin: 0 3px 0 0;
+	padding: 2px;
+}
+div#tabs li.aktiveTab {
+	background-image: url(./img/tab_bg_rot.gif);  /* aktive Tabs rot */
+	background-color: #F9F9F9;
+	border-bottom-color: #F9F9F9; /* nicht sichtbar, wie Hintergrund */
+}
+
+/* passt in Mapbender 2.5: tabs width=280, tab_frameHeight[n]=360 */
+iframe.OuterFrame{
+	width: 260px; height: 330px; 
+	padding: 0px; margin: 0px;
+	border:0px dotted #ff0000;
+	overflow: hidden;
+	background-color: white;
+}
+form.nav {position: absolute; top: 22px;}
+iframe.ResultFrame {
+	position: absolute; top: 78px;
+	width: 235px; height: 220px;
+	padding: 0px; margin: 0px;
+	border:0px dotted #00ff00;
+}
Index: trunk/data/mapbender/http/nav/alkisnav.htm
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav.htm	(revision 60)
+++ trunk/data/mapbender/http/nav/alkisnav.htm	(revision 60)
@@ -0,0 +1,40 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<link rel="stylesheet" type="text/css" href="alkisnav.css">
+	<script type="text/javascript" language="JavaScript">
+		function showHighlight(x,y){
+			parent.mb_showHighlight("mapframe1",x,y);
+			parent.mb_showHighlight("overview",x,y);
+		}
+		function hideHighlight(){
+			parent.mb_hideHighlight("mapframe1");
+			parent.mb_hideHighlight("overview");
+		}
+		function validate(){
+			if(document.forms[0].street.value.length < 1) {return false;}
+			else {return true;}
+		}
+		// Parameter fuer Mandant aus url lesen
+		// &gkz=150&gemeinde=40&test=ja
+		var parms = location.search.split("&");    // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"		
+		var arr = parms[0].split("=", 2); // 0: "?gkz"  1: "150"
+		var gkz = "000";
+		if(arr[0] == "?gkz") {gkz = arr[1];}
+		var arr = parms[1].split("=", 2)
+		var gem = "0";
+		if(arr[0] == "gemeinde") {gem = arr[1];}
+	</script>
+	<title>ALKIS-Suche</title>
+</head>
+<body>
+
+<script type="text/javascript" language="JavaScript">
+	document.writeln("<!-- gkz=" + gkz + " gemeinde=" + gem + "-->");	
+	// Rahmen mit Form und ResultFrame
+	document.writeln("<iframe frameborder='0' name='OuterFrame' src='alkisnav_eig.htm?gkz=" + gkz + "&gemeinde=" + gem + "' class='OuterFrame' scrolling='auto'></iframe>");
+</script>
+
+</body>
+</html>
Index: trunk/data/mapbender/http/nav/blank_adr.html
===================================================================
--- trunk/data/mapbender/http/nav/blank_adr.html	(revision 60)
+++ trunk/data/mapbender/http/nav/blank_adr.html	(revision 60)
@@ -0,0 +1,15 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<link rel="stylesheet" type="text/css" href="alkisnav.css">
+	<title></title>
+</head>
+<body>
+<p class='start'>Suche nach Geb&auml;ude-Adressen in ALKIS:<br><br>
+Schritt 1:<br>Anfang des Stra&szlig;ennamens eingeben<br>oder Mausklick auf einen Anfangsbuchstaben<br>
+oder Suche nach Namensbestandteilen mit Platzhalter "*", z.B. "*kamp"<br><br>
+Schritt 2:<br>Auswahl Stra&szlig;enname<br><br>
+Schritt 3:<br>Auswahl Hausnummer</p>
+</body>
+</html>
Index: trunk/data/mapbender/http/nav/blank_grd.html
===================================================================
--- trunk/data/mapbender/http/nav/blank_grd.html	(revision 60)
+++ trunk/data/mapbender/http/nav/blank_grd.html	(revision 60)
@@ -0,0 +1,17 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<link rel="stylesheet" type="text/css" href="alkisnav.css">
+	<title></title>
+</head>
+<body>
+<p class='start'>Suche nach Grundbuchblatt in ALKIS:<br><br>
+Dieser Programmteil ist noch nicht realisiert!<br><br>
+Geplant ist:<br><br>
+Schritt 1: Auswahl Amtsgericht<br><br>
+Schritt 2: Auswahl Grundbuch-Bezirk<br><br>
+Schritt 3: Auswahl Grundbuch-Blatt<br><br>
+Schritt 4: Auswahl Flurst&uuml;ck</p>
+</body>
+</html>