Index: /trunk/var/www/info/alkis/alkisinlaybaurecht.php
===================================================================
--- /trunk/var/www/info/alkis/alkisinlaybaurecht.php	(revision 60)
+++ /trunk/var/www/info/alkis/alkisinlaybaurecht.php	(revision 61)
@@ -44,7 +44,10 @@
 $sql.="LEFT JOIN ax_bauraumoderbodenordnungsrecht_artderfestlegung a ON r.artderfestlegung = a.wert ";
 $sql.="LEFT JOIN ax_dienststelle d ON r.land = d.land AND r.stelle = d.stelle ";
-$sql.="WHERE r.gml_id='".$gmlid."';";
+$sql.="WHERE r.gml_id= $1;";
 
-$res=pg_query($con,$sql);
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
+
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Baurecht:<br>";
@@ -102,5 +105,5 @@
 $sql.="round(st_area(ST_Intersection(r.wkb_geometry,f.wkb_geometry))::numeric,1) AS schnittflae ";
 $sql.="FROM ax_flurstueck f, ax_bauraumoderbodenordnungsrecht r  ";
-$sql.="WHERE r.gml_id='".$gmlid."' "; 
+$sql.="WHERE r.gml_id= $1 "; 
 $sql.="AND st_intersects(r.wkb_geometry,f.wkb_geometry) = true ";
 $sql.="AND st_area(st_intersection(r.wkb_geometry,f.wkb_geometry)) > 0.05 ";  // > 0.0 ist gemeint, Ungenauigkeit durch st_simplify
@@ -109,6 +112,8 @@
 $sql.="LIMIT 40;";
 // Trotz Limit lange Antwortzeit, wegen OrderBy -> intersection
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
 
-$res=pg_query($con,$sql);
 if (!$res) {
 	echo "\n<p class='err'>Keine Flurst&uuml;cke ermittelt.<br>\nSQL=<br></p>\n";
Index: /trunk/var/www/info/alkis/alkisinlayausk.php
===================================================================
--- /trunk/var/www/info/alkis/alkisinlayausk.php	(revision 60)
+++ /trunk/var/www/info/alkis/alkisinlayausk.php	(revision 61)
@@ -53,8 +53,10 @@
 $sql.="FROM ax_flurstueck f ";
 $sql.="JOIN ax_gemarkung  g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
-$sql.="WHERE f.gml_id='".$gmlid."';";
+$sql.="WHERE f.gml_id= $1;";
 // Weiter joinen: g.stelle -> ax_dienststelle "Katasteramt"
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
 
-$res=pg_query($con,$sql);
 if (!$res) {echo "\n<p class='err'>Fehler bei Flurstuecksdaten\n<br>".$sql."</p>\n";}
 
@@ -116,9 +118,13 @@
 $sql.="LEFT JOIN ax_buchungsstelle_buchungsart a ON s.buchungsart = a.wert ";
 
-$sql.="WHERE bfs.beziehung_von='".$gmlid."' ";
+$sql.="WHERE bfs.beziehung_von= $1 ";
 $sql.="AND   bfs.beziehungsart='istGebucht' ";
 $sql.="AND   bsb.beziehungsart='istBestandteilVon' ";
 $sql.="ORDER BY b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung, s.laufendenummer;";
-$resg=pg_query($con,$sql);
+
+$v = array($gmlid);
+$resg = pg_prepare("", $sql);
+$resg = pg_execute("", $v);
+
 if (!$resg) echo "\n<p class='err'>Keine Buchungen.<br>\nSQL= ".$sql."</p>\n";
 while($rowg = pg_fetch_array($resg)) {
Index: /trunk/var/www/info/alkis/alkisrelationen.php
===================================================================
--- /trunk/var/www/info/alkis/alkisrelationen.php	(revision 60)
+++ /trunk/var/www/info/alkis/alkisrelationen.php	(revision 61)
@@ -49,6 +49,10 @@
 	echo "<p>gml_id =</p>";
 	echo "\n\n<h3 title='Die gml_is ist global eindeutig'>".$gmlid."</h3>";
-	$sql="SELECT beziehungsart, beziehung_zu FROM alkis_beziehungen WHERE beziehung_von='".$gmlid."';";
-	$res=pg_query($con,$sql);
+	$sql="SELECT beziehungsart, beziehung_zu FROM alkis_beziehungen WHERE beziehung_von= $1;";
+	
+	$v = array($gmlid);
+	$res = pg_prepare("", $sql);
+	$res = pg_execute("", $v);
+	
 	echo "\n<table>";
 	if (!$res) { // vorab Anzahl der Saetze ermitteln?
@@ -66,6 +70,10 @@
 		if ($i == 0) echo "<tr><td colspan=3>.. keine</td></tr>";
 	}
-	$sql="SELECT beziehungsart, beziehung_von FROM alkis_beziehungen WHERE beziehung_zu='".$gmlid."';";
-	$res=pg_query($con,$sql);
+	$sql="SELECT beziehungsart, beziehung_von FROM alkis_beziehungen WHERE beziehung_zu= $1;";
+	
+	$v = array($gmlid);
+	$res = pg_prepare("", $sql);
+	$res = pg_execute("", $v);
+
 	if (!$res) {
 		echo "<tr><td colspan=3><b>Keine</b> Beziehungen zum Objekt</td></tr>";
Index: /trunk/var/www/info/alkis/alkisbestnw.php
===================================================================
--- /trunk/var/www/info/alkis/alkisbestnw.php	(revision 60)
+++ /trunk/var/www/info/alkis/alkisbestnw.php	(revision 61)
@@ -67,8 +67,11 @@
 $sql.="JOIN  ax_buchungsblattbezirk b ON g.land=b.land AND g.bezirk=b.bezirk ";  // BBZ
 $sql.="JOIN  ax_dienststelle a ON b.\"gehoertzu|ax_dienststelle_schluessel|land\"=a.land AND b.stelle=a.stelle ";
-$sql.="WHERE g.gml_id='".$gmlid."' ";
+$sql.="WHERE g.gml_id= $1 ";
 $sql.="AND   a.stellenart=1000;"; // Amtsgericht
 
-$res=pg_query($con, $sql);
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
+
 if (!$res) {
 	echo "<p class='err'>Fehler bei Grundbuchdaten<br>\n".$sql."</p>";
@@ -164,8 +167,12 @@
 $sql.="JOIN  alkis_beziehungen v ON s.gml_id=v.beziehung_von "; 
 $sql.="LEFT JOIN ax_buchungsstelle_buchungsart b ON s.buchungsart = b.wert ";
-$sql.="WHERE v.beziehung_zu='".$gmlid."' ";
+$sql.="WHERE v.beziehung_zu= $1 ";
 $sql.="AND   v.beziehungsart='istBestandteilVon' ";
 $sql.="ORDER BY s.laufendenummer;";
-$res=pg_query($con,$sql);
+
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
+
 if (!$res) echo "<p class='err'>Fehler bei Buchung.</p>\n";
 $i=0;
@@ -403,5 +410,5 @@
 	$sql.="LEFT JOIN ax_buchungsstelle_buchungsart ba ON sb.buchungsart = ba.wert ";
 
-	$sql.="WHERE vf.beziehung_zu='".$gmlid."' ";
+	$sql.="WHERE vf.beziehung_zu= $1 ";
 	$sql.="AND  vf.beziehungsart='istBestandteilVon' ";
 	$sql.="AND (vs.beziehungsart='an' OR vs.beziehungsart='zu') ";
@@ -409,5 +416,8 @@
 	$sql.="ORDER BY bb.land, bb.bezirk, bb.buchungsblattnummermitbuchstabenerweiterung;";
 
-	$resb=pg_query($con,$sql);
+	$v = array($gmlid);
+	$resb = pg_prepare("", $sql);
+	$resb = pg_execute("", $v);
+
 	if (!$resb) {
 		echo "<p class='err'>Fehler bei 'andere Berechtigte Bl&auml;tter:'<br>".$sql."</p>\n";
Index: /trunk/var/www/info/alkis/alkisausk.php
===================================================================
--- /trunk/var/www/info/alkis/alkisausk.php	(revision 60)
+++ /trunk/var/www/info/alkis/alkisausk.php	(revision 61)
@@ -63,8 +63,11 @@
 $sql.="FROM ax_flurstueck f ";
 $sql.="JOIN ax_gemarkung  g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
-$sql.="WHERE f.gml_id='".$gmlid."';";
+$sql.="WHERE f.gml_id= $1;";
 // Weiter joinen: g.stelle -> ax_dienststelle "Katasteramt"
 
-$res=pg_query($con,$sql);
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
+
 if (!$res) {echo "\n<p class='err'>Fehler bei Flurstuecksdaten\n<br>".$sql."</p>\n";}
 
@@ -147,9 +150,13 @@
 $sql.="LEFT JOIN ax_buchungsstelle_buchungsart a ON s.buchungsart = a.wert ";
 
-$sql.="WHERE bfs.beziehung_von='".$gmlid."' ";
+$sql.="WHERE bfs.beziehung_von= $1 ";
 $sql.="AND   bfs.beziehungsart='istGebucht' ";
 $sql.="AND   bsb.beziehungsart='istBestandteilVon' ";
 $sql.="ORDER BY b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung, s.laufendenummer;";
-$resg=pg_query($con,$sql);
+
+$v = array($gmlid);
+$resg = pg_prepare("", $sql);
+$resg = pg_execute("", $v);
+
 if (!$resg) echo "\n<p class='err'>Keine Buchungen.<br>\nSQL= ".$sql."</p>\n";
 $j=0; // Z.Blatt
Index: /trunk/var/www/info/alkis/alkisnamstruk.php
===================================================================
--- /trunk/var/www/info/alkis/alkisnamstruk.php	(revision 60)
+++ /trunk/var/www/info/alkis/alkisnamstruk.php	(revision 61)
@@ -63,7 +63,10 @@
 
 $sql="SELECT nachnameoderfirma, anrede, vorname, geburtsname, geburtsdatum, namensbestandteil, akademischergrad ";
-$sql.="FROM ax_person WHERE gml_id='".$gmlid."'";
-
-$res=pg_query($con,$sql);
+$sql.="FROM ax_person WHERE gml_id= $1;";
+
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
+
 if (!$res) {echo "\n<p class='err'>Fehler bei Zugriff auf Namensnummer</p>\n";}
 if ($idanzeige) { linkgml($gkz, $gmlid, "Person"); }
@@ -90,8 +93,12 @@
 	$sql.="FROM   ax_anschrift a ";
 	$sql.="JOIN   alkis_beziehungen b ON a.gml_id=b.beziehung_zu ";
-	$sql.="WHERE  b.beziehung_von='".$gmlid."' ";
+	$sql.="WHERE  b.beziehung_von= $1 ";
 	$sql.="AND    b.beziehungsart='hat';"; //"ORDER  BY ?;";
 	//echo "\n<p class='err'>".$sql."</p>\n";
-	$resa=pg_query($con,$sql);
+	
+	$v = array($gmlid);
+	$resa = pg_prepare("", $sql);
+	$resa = pg_execute("", $v);
+
 	if (!$resa) echo "\n<p class='err'>Fehler bei Adressen.<br>\nSQL= ".$sql."</p>\n";
 	$j=0;
@@ -136,5 +143,5 @@
 	$sql.="JOIN  ax_buchungsblatt  g   ON bng.beziehung_zu=g.gml_id ";
 	$sql.="JOIN  ax_buchungsblattbezirk b ON g.land = b.land AND g.bezirk = b.bezirk ";
-	$sql.="WHERE bpn.beziehung_zu='".$gmlid."' ";
+	$sql.="WHERE bpn.beziehung_zu= $1 ";
 	$sql.="AND   bpn.beziehungsart='benennt' AND bng.beziehungsart='istBestandteilVon' ";
 	$sql.="ORDER BY g.bezirk, g.buchungsblattnummermitbuchstabenerweiterung;";
@@ -142,6 +149,8 @@
 
 	//echo "\n<p class='err'>".$sql."</p>\n";
-
-	$resg=pg_query($con,$sql);
+	$v = array($gmlid);
+	$resg = pg_prepare("", $sql);
+	$resg = pg_execute("", $v);
+
 	if (!$resg) echo "\n<p class='err'>Fehler bei Grundbuch.<br>\nSQL= ".$sql."</p>\n";
 	$j=0;
Index: /trunk/var/www/info/alkis/alkisgebaeudenw.php
===================================================================
--- /trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 60)
+++ /trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 61)
@@ -57,6 +57,10 @@
 $sqlf.="FROM ax_flurstueck f ";
 $sqlf.="JOIN ax_gemarkung  g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
-$sqlf.="WHERE f.gml_id='".$gmlid."';";
-$resf=pg_query($con,$sqlf);
+$sqlf.="WHERE f.gml_id= $1;";
+
+$v = array($gmlid);
+$resf = pg_prepare("", $sqlf);
+$resf = pg_execute("", $v);
+
 if (!$resf) {
 	echo "\n<p class='err'>Fehler bei Flurst&uuml;cksdaten\n<br>".$sqlf."</p>\n";
@@ -147,5 +151,5 @@
 
 // ID des aktuellen FS
-$sqlg.="WHERE f.gml_id='".$gmlid."' "; 
+$sqlg.="WHERE f.gml_id= $1 "; 
 
 // ALT: "within" liefert nur Gebaeude, die komplett im Flurstueck liegen
@@ -166,5 +170,9 @@
 // ax_gebaeude  (zeigtAuf) ax_LagebezeichnungMitHausnummer    (HauptgebÃ€ude)
 // ax_gebaeude  (hat)      ax_LagebezeichnungMitPseudonummer  (NebengebÃ€ude)
-$resg=pg_query($con,$sqlg);
+
+$v = array($gmlid);
+$resg = pg_prepare("", $sqlg);
+$resg = pg_execute("", $v);
+
 if (!$resg) {
 	echo "\n<p class='err'>Keine Geb&auml;ude ermittelt.<br>\nSQL=<br></p>\n";
Index: /trunk/var/www/info/alkis/alkislage.php
===================================================================
--- /trunk/var/www/info/alkis/alkislage.php	(revision 60)
+++ /trunk/var/www/info/alkis/alkislage.php	(revision 61)
@@ -107,7 +107,10 @@
 }
 
-$sql.="WHERE l.gml_id='".$gmlid."';";
-
-$res=pg_query($con,$sql);
+$sql.="WHERE l.gml_id= $1;";
+
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
+
 if (!$res) echo "\n<p class='err'>Fehler bei Lagebezeichnung\n<br>".$sql."</p>\n";
 
@@ -243,9 +246,12 @@
 	$sql.="JOIN ax_flurstueck f ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
 	$sql.="JOIN alkis_beziehungen v ON f.gml_id=v.beziehung_von "; 
-	$sql.="WHERE v.beziehung_zu='".$gmlid."' "; // id Lage
-	$sql.="AND v.beziehungsart='".$bezart."' ";
+	$sql.="WHERE v.beziehung_zu= $1 "; // id Lage
+	$sql.="AND v.beziehungsart= $2 ";
 	$sql.="ORDER BY f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner;";
 
-	$resf=pg_query($con,$sql);
+	$v = array($gmlid,$bezart);
+	$resf = pg_prepare("", $sql);
+	$resf = pg_execute("", $v);
+
 	if (!$resf) {echo "<p class='err'>Fehler bei Flurst&uuml;ck<br><br>".$sql."</p>\n";}
 
@@ -299,5 +305,5 @@
 	echo "\n\n<a name='lage'></a><h3><img src='ico/Lage_mit_Haus.ico' width='16' height='16' alt=''> Lage</h3>\n";
 	echo "\n<p>andere Lagebezeichnungen zur gleichen Hausnummer.</p>";
-	$whereclaus="WHERE land='".$land."' AND regierungsbezirk='".$regbez."' AND kreis='".$kreis."' AND gemeinde='".$gem."' AND lage=".$lage." ";
+	$whereclaus="WHERE land= $1 AND regierungsbezirk= $2 AND kreis= $3 AND gemeinde= $4 AND lage= $5 ";
 	$url=$self."gkz=".$gkz."&amp;id=".$id."&amp;gmlid="; // Basis
 
@@ -307,7 +313,11 @@
 			echo "\n<p>Nebengeb&auml;ude: ";
 			$sql ="SELECT l.gml_id, l.laufendenummer FROM ax_lagebezeichnungmitpseudonummer l ";
-			$sql.=$whereclaus."AND lage=".$lage." AND pseudonummer='".$hsnr."' ORDER BY laufendenummer;";
+			$sql.=$whereclaus."AND lage= $6 AND pseudonummer= $7 ORDER BY laufendenummer;";
 		// pseudonummer character varying(5), laufendenummer character varying(2),
-			$res=pg_query($con,$sql);
+			
+			$v = array($land,$regbez,$kreis,$gem,$lage,$lage,$hsnr);
+			$res = pg_prepare("", $sql);
+			$res = pg_execute("", $v);
+			
 			if (!$res) echo "\n<p class='err'>Fehler bei Nebengeb&auml;ude.<br>".$sql."</p>\n";
 			while($row = pg_fetch_array($res)) {
@@ -320,6 +330,10 @@
 			echo "\n<p>Hauptgeb&auml;ude: ";
 			$sql ="SELECT l.gml_id FROM ax_lagebezeichnungmithausnummer l ";
-			$sql.=$whereclaus."AND hausnummer='".$pseu."';";
-			$res=pg_query($con,$sql);
+			$sql.=$whereclaus."AND hausnummer= $6;";
+			
+			$v = array($land,$regbez,$kreis,$gem,$lage,$pseu);
+			$res = pg_prepare("", $sql);
+			$res = pg_execute("", $v);
+			
 			if (!$res) echo "<p class='err'>Fehler bei Hauptgeb&auml;ude.<br>".$sql."</p>\n";
 			while($row = pg_fetch_array($res)) {
@@ -330,6 +344,10 @@
 			echo "\n<p>weitere Nebengeb&auml;ude: ";
 			$sql ="SELECT l.gml_id, l.laufendenummer FROM ax_lagebezeichnungmitpseudonummer l ";
-			$sql.=$whereclaus."AND pseudonummer='".$pseu."' AND laufendenummer <> '".$lfd."' ORDER BY laufendenummer;";
-			$res=pg_query($con,$sql);
+			$sql.=$whereclaus."AND pseudonummer= $6 AND laufendenummer <> $7 ORDER BY laufendenummer;";
+			
+			$v = array($land,$regbez,$kreis,$gem,$lage,$pseu,$lfd);
+			$res = pg_prepare("", $sql);
+			$res = pg_execute("", $v);
+			
 			if (!$res) echo "\n<p class='err'>Fehler bei Nebengeb&auml;ude.<br>".$sql."</p>\n";
 			while($row = pg_fetch_array($res)) {
@@ -367,7 +385,10 @@
 	$sql.="LEFT JOIN ax_gebaeude_bauweise h ON g.bauweise = h.bauweise_id ";
 	$sql.="LEFT JOIN ax_gebaeude_funktion u ON g.gebaeudefunktion = u.wert ";
-	$sql.="WHERE v.beziehung_zu='".$gmlid."' ";
-	$sql.="AND   v.beziehungsart='".$bezart."' ;";
-	$res=pg_query($con,$sql);
+	$sql.="WHERE v.beziehung_zu= $1 ";
+	$sql.="AND   v.beziehungsart= $2 ;";
+	
+	$v = array($gmlid,$bezart);
+	$res = pg_prepare("", $sql);
+	$res = pg_execute("", $v);
 
 	if (!$res) echo "<p class='err'>Fehler bei Gebaeude.<br>".$sql."</p>\n";
Index: /trunk/var/www/info/alkis/alkisfkt.php
===================================================================
--- /trunk/var/www/info/alkis/alkisfkt.php	(revision 60)
+++ /trunk/var/www/info/alkis/alkisfkt.php	(revision 61)
@@ -122,9 +122,12 @@
 	$sql.="JOIN ax_flurstueck f ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
 	$sql.="JOIN alkis_beziehungen v ON f.gml_id=v.beziehung_von "; 
-	$sql.="WHERE v.beziehung_zu='".$gml_bs."' "; // id buchungsstelle
+	$sql.="WHERE v.beziehung_zu= $1 "; // id buchungsstelle
 	$sql.="AND   v.beziehungsart='istGebucht' ";
 	$sql.="ORDER BY f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner;";
 
-	$resf=pg_query($con,$sql);
+	$v = array($gml_bs);
+	$resf = pg_prepare("", $sql);
+	$resf = pg_execute("", $v);
+	
 	if (!$resf) {echo "<p class='err'>Fehler bei Flurst&uuml;ck<br><br>".$sql."</p>\n";}
 
@@ -213,9 +216,12 @@
 	$sql.="FROM  ax_namensnummer n ";
 	$sql.="JOIN  alkis_beziehungen b ON b.beziehung_von=n.gml_id ";
-	$sql.="WHERE b.beziehung_zu='".$gmlid."' "; // id blatt
+	$sql.="WHERE b.beziehung_zu= $1 "; // id blatt
 	$sql.="AND   b.beziehungsart='istBestandteilVon' ";
 	$sql.="ORDER BY laufendenummernachdin1421;";
 	
-	$resn=pg_query($con, $sql);
+	$v = array($gmlid);
+	$resn = pg_prepare("", $sql);
+	$resn = pg_execute("", $v);
+
 	if (!$resn) {echo "<p class='err'>Fehler bei Eigentuemer<br>SQL= ".$sql."<br></p>\n";}
 
@@ -265,8 +271,11 @@
 		$sql.="FROM  ax_person p ";
 		$sql.="JOIN  alkis_beziehungen v ON v.beziehung_zu=p.gml_id ";
-		$sql.="WHERE v.beziehung_von='".$rown["gml_id"]."' "; // id num
+		$sql.="WHERE v.beziehung_von= $1 "; // id num
 		$sql.="AND   v.beziehungsart='benennt';";
 	
-		$rese=pg_query($con, $sql);
+		$v = array($rown["gml_id"]);
+		$rese = pg_prepare("", $sql);
+		$rese = pg_execute("", $v);
+
 		if (!$rese) {echo "\n\t<p class='err'>Fehler bei Eigentuemer<br>SQL= ".$sql."<br></p>\n";}
 		$i=0; // Z.Eig.
@@ -305,8 +314,11 @@
 				$sql.="FROM ax_anschrift a ";
 				$sql.="JOIN alkis_beziehungen b ON a.gml_id=b.beziehung_zu ";
-				$sql.="WHERE b.beziehung_von='".$rowe["gml_id"]."' ";
+				$sql.="WHERE b.beziehung_von= $1 ";
 				$sql.="AND b.beziehungsart='hat';"; // ORDER?
 
-				$resa=pg_query($con,$sql);
+				$v = array($rowe["gml_id"]);
+				$resa = pg_prepare("", $sql);
+				$resa = pg_execute("", $v);
+				
 				if (!$resa) {
 					echo "\n\t<p class='err'>Fehler bei Adressen.<br>\nSQL= ".$sql."</p>\n";