Index: /trunk/var/www/info/alkis/alkisfsnw.php
===================================================================
--- /trunk/var/www/info/alkis/alkisfsnw.php	(revision 62)
+++ /trunk/var/www/info/alkis/alkisfsnw.php	(revision 63)
@@ -65,6 +65,9 @@
 $sql.="FROM ax_flurstueck f ";
 $sql.="JOIN ax_gemarkung  g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
-$sql.="WHERE f.gml_id='".$gmlid."';";
-$res=pg_query($con,$sql);
+$sql.="WHERE f.gml_id= $1";
+
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
 if (!$res) echo "\n<p class='err'>Fehler bei Flurstuecksdaten\n<br>".$sql."</p>\n";
 if ($row = pg_fetch_array($res)) {
@@ -128,6 +131,9 @@
 
 // G e m e i n d e
-$sql="SELECT bezeichnung FROM ax_gemeinde WHERE regierungsbezirk='".$bezirk."' AND kreis='".$kreis."' AND gemeinde='".$gemeinde."' "; 
-$res=pg_query($con, $sql);
+$sql="SELECT bezeichnung FROM ax_gemeinde WHERE regierungsbezirk= $1 AND kreis= $2 AND gemeinde= $3"; 
+
+$v = array($bezirk,$kreis,$gemeinde);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
 if (!$res) echo "<p class='err'>Fehler bei Gemeinde<br>".$sql."<br></p>";
 $row = pg_fetch_array($res);
@@ -140,6 +146,9 @@
 
 // K r e i s
-$sql="SELECT bezeichnung FROM ax_kreisregion WHERE regierungsbezirk='".$bezirk."' AND kreis='".$kreis."' "; 
-$res=pg_query($con, $sql);
+$sql="SELECT bezeichnung FROM ax_kreisregion WHERE regierungsbezirk= $1 AND kreis= $2"; 
+
+$v = array($bezirk,$kreis);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
 if (!$res) echo "<p class='err'>Fehler bei Kreis<br>".$sql."<br></p>";
 $row = pg_fetch_array($res);
@@ -171,9 +180,10 @@
 //   ax_flurstueck  >weistAuf>  AX_LagebezeichnungMitHausnummer
 //                  <gehoertZu<
-$sql ="SELECT l.gml_id, l.gemeinde, l.lage, l.hausnummer, s.bezeichnung ";
+$sql ="SELECT DISTINCT l.gml_id, l.gemeinde, l.lage, l.hausnummer, s.bezeichnung ";
 $sql.="FROM  alkis_beziehungen v ";
 $sql.="JOIN  ax_lagebezeichnungmithausnummer  l ON v.beziehung_zu=l.gml_id "; // Strassennamen JOIN
-$sql.="JOIN  ax_lagebezeichnungkatalogeintrag s ON l.kreis=s.kreis AND l.gemeinde=s.gemeinde AND to_char(l.lage, 'FM00000')=s.lage ";
-$sql.="WHERE v.beziehung_von='".$gmlid."' "; // id FS";
+$sql.="JOIN  ax_lagebezeichnungkatalogeintrag s ON l.kreis=s.kreis AND l.gemeinde=s.gemeinde ";
+$sql.="AND to_char(l.lage, 'FM00000') = lpad(s.lage,5,'0') ";
+$sql.="WHERE v.beziehung_von= $1 "; // id FS";
 $sql.="AND   v.beziehungsart='weistAuf' ";
 $sql.="ORDER BY l.gemeinde, l.lage, l.hausnummer;";
@@ -191,5 +201,7 @@
 // http://www.postgresql.org/docs/8.3/static/functions-formatting.html
 
-$res=pg_query($con, $sql);
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
 if (!$res) {echo "<p class='err'>Fehler bei Lagebezeichnung mit Hausnummer<br>\n".$sql."</p>";}
 $j=0;
@@ -228,9 +240,11 @@
 //  in ax_lagebezeichnungKatalogeintrag mit fÃŒhrenden Nullen
 //  in ax_lagebezeichnungOhneHausnummer jedoch ohne fÃŒhrende Nullen
-$sql.="AND l.lage=trim(leading '0' from s.lage) ";
+$sql.="AND l.lage::text=trim(leading '0' from s.lage) ";
 //	$sql.="AND cast(l.lage AS integer)=cast(s.lage AS integer) "; // Fehlversuch, auch nicht-numerische Inhalte
-$sql.="WHERE v.beziehung_von='".$gmlid."' "; // id FS";
+$sql.="WHERE v.beziehung_von= $1 "; // id FS";
 $sql.="AND   v.beziehungsart='zeigtAuf';"; //ORDER?
-$res=pg_query($con, $sql);
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
 if (!$res) echo "<p class='err'>Fehler bei Lagebezeichnung ohne Hausnummer<br>\n".$sql."</p>";
 $j=0;
@@ -280,10 +294,12 @@
 $sql.="JOIN nutzung_meta m ON m.nutz_id=n.nutz_id ";
 $sql.="LEFT JOIN nutzung_class c ON c.nutz_id=n.nutz_id AND c.class=n.class ";
-$sql.="WHERE f.gml_id='".$gmlid."' "; // id FS";
+$sql.="WHERE f.gml_id= $1 "; // id FS";
 $sql.="AND st_intersects(n.wkb_geometry,f.wkb_geometry) = true "; // ueberlappende Flaechen
 $sql.="AND st_area(st_intersection(n.wkb_geometry,f.wkb_geometry)) > 0.05 "; // unter Rundung
 $sql.="ORDER BY schnittflae DESC;";
 
-$res=pg_query($con, $sql);
+$v = array($gmlid);
+$res = pg_prepare("", $sql);
+$res = pg_execute("", $v);
 if (!$res) {echo "<p class='err'>Fehler bei Suche tats. Nutzung<br>\n".$sql."</p>";}
 $j=0;
@@ -415,8 +431,11 @@
 $sql.="LEFT JOIN ax_buchungsstelle_buchungsart b ON s.buchungsart = b.wert ";
 
-$sql.="WHERE v.beziehung_von='".$gmlid."' "; // id FS
-$sql.="AND   v.beziehungsart='istGebucht' ";
+$sql.="WHERE v.beziehung_von= $1 "; // id FS
+$sql.="AND   v.beziehungsart= $2 ";
 $sql.="ORDER BY s.laufendenummer;";
-$ress=pg_query($con,$sql);
+
+$v = array($gmlid,'istGebucht');
+$ress = pg_prepare("", $sql);
+$ress = pg_execute("", $v);
 if (!$ress) {
 	echo "\n<p class='err'>Keine Buchungsstelle.<br>\nSQL= ".$sql."</p>\n";
@@ -433,9 +452,11 @@
 	$sql.="JOIN  ax_buchungsblatt       b ON v.beziehung_zu=b.gml_id ";
 	$sql.="JOIN  ax_buchungsblattbezirk z ON z.land=b.land AND z.bezirk=b.bezirk ";
-	$sql.="WHERE v.beziehung_von='".$gmls."' "; // id Buchungsstelle
-	$sql.="AND   v.beziehungsart='istBestandteilVon' ";
+	$sql.="WHERE v.beziehung_von= $1 "; // id Buchungsstelle
+	$sql.="AND   v.beziehungsart= $2 ";
 	$sql.="ORDER BY b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung ;";
 
-	$resg=pg_query($con,$sql);
+	$v = array($gmls,'istBestandteilVon');
+	$resg = pg_prepare("", $sql);
+	$resg = pg_execute("", $v);
 	if (!$resg) {
 		echo "\n<p class='err'>Keine Buchungsblatt.<br>\nSQL= ".$sql."</p>\n";
@@ -554,10 +575,12 @@
 	$sql.="JOIN  ax_buchungsblattbezirk z ON z.land = b.land AND z.bezirk = b.bezirk ";
 	$sql.="JOIN  ax_buchungsstelle_buchungsart a ON s.buchungsart = a.wert ";
-	$sql.="WHERE an.beziehung_zu = '".$gmls."' "; // id herrschende Buchungsstelle
+	$sql.="WHERE an.beziehung_zu = $1 "; // id herrschende Buchungsstelle
 	$sql.="AND   an.beziehungsart = 'an' ";
 	$sql.="AND   v.beziehungsart = 'istBestandteilVon' ";
 	$sql.="ORDER BY b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung;";
 
-	$resan=pg_query($con,$sql);
+	$v = array($gmls);
+	$resan = pg_prepare("", $sql);
+	$resan = pg_execute("", $v);
 
 	if (!$resan) {