Index: /trunk/var/www/info/alkis/alkisbestnw.php
===================================================================
--- /trunk/var/www/info/alkis/alkisbestnw.php	(revision 75)
+++ /trunk/var/www/info/alkis/alkisbestnw.php	(revision 76)
@@ -10,5 +10,5 @@
 	14.12.2010  Pfad zur Conf
 	17.12.2010  Astrid Emde: Prepared Statements (pg_query -> pg_prepare + pg_execute)
-
+	26.01.2011  Space in leere td
 	ToDo:
 	Zahler fuer Anzahl GB und FS in der Liste (ausgeben wenn > 10)
@@ -125,5 +125,4 @@
 	// Im offiziellen ALKIS-Buchnachweis hier ohne Adressen.
 	// Weglassen damit es uebersichtlicher wird?
-	// Doppelte Adressen (alt/neu?): Konverter-Fehler oder bestimmtes Kennzeichen?
 	$n = eigentuemer($con, $gkz, $idanzeige, $gmlid, true);
 
@@ -142,10 +141,10 @@
 	echo "\n\t<td title='laufende Nummer Bestandsverzeichnis (BVNR) = Grundst&uuml;ck'><span class='wichtig'>BVNR</span></td>";
 	echo "\n\t<td class='dien' title='herrschendes Grundst&uuml;ck'>herrschende Buchungsart</td>";
-	echo "\n\t<td></td>";
+	echo "\n\t<td>&nbsp;</td>";
 	echo "\n\t<td class='dien'>Bezirk</td>";
 	echo "\n\t<td class='dien'>Blatt</td>";
 	echo "\n\t<td class='dien'>BVNR</td>";
 	echo "\n\t<td class='dien' title='dienendes Grundst&uuml;ck'>Buchungsart</td>";
-	echo "\n\t<td></td>";
+	echo "\n\t<td>&nbsp;</td>";
 echo "\n</tr>";
 echo "\n<tr>";
@@ -164,14 +163,13 @@
 $sql ="SELECT s.gml_id, s.buchungsart, s.laufendenummer AS lfd, s.beschreibungdesumfangsderbuchung AS udb, ";
 $sql.="s.zaehler, s.nenner, s.nummerimaufteilungsplan AS nrap, s.beschreibungdessondereigentums AS sond, b.bezeichner as bart ";
-$sql.="FROM  ax_buchungsstelle s ";
-$sql.="JOIN  alkis_beziehungen v ON s.gml_id=v.beziehung_von "; 
+$sql.="FROM ax_buchungsstelle s ";
+$sql.="JOIN alkis_beziehungen v ON s.gml_id=v.beziehung_von "; 
 $sql.="LEFT JOIN ax_buchungsstelle_buchungsart b ON s.buchungsart = b.wert ";
-$sql.="WHERE v.beziehung_zu= $1 ";
-$sql.="AND   v.beziehungsart='istBestandteilVon' ";
+$sql.="WHERE v.beziehung_zu= $1 AND v.beziehungsart='istBestandteilVon' ";
 $sql.="ORDER BY s.laufendenummer;";
 
-$v = array($gmlid);
-$res = pg_prepare("", $sql);
-$res = pg_execute("", $v);
+$v=array($gmlid);
+$res=pg_prepare("", $sql);
+$res=pg_execute("", $v);
 
 if (!$res) echo "<p class='err'>Fehler bei Buchung.</p>\n";
@@ -205,9 +203,9 @@
 		$sql ="SELECT s.gml_id, s.buchungsart, s.laufendenummer AS lfd, s.beschreibungdesumfangsderbuchung AS udb, ";
 		$sql.="v.beziehungsart, s.nummerimaufteilungsplan AS nrap, s.beschreibungdessondereigentums AS sond, b.bezeichner AS bart ";
-		$sql.="FROM  ax_buchungsstelle s ";
-		$sql.="JOIN  alkis_beziehungen v ON s.gml_id=v.beziehung_zu "; 
+		$sql.="FROM ax_buchungsstelle s ";
+		$sql.="JOIN alkis_beziehungen v ON s.gml_id=v.beziehung_zu "; 
 		$sql.="LEFT JOIN ax_buchungsstelle_buchungsart b ON s.buchungsart = b.wert ";
 		$sql.="WHERE v.beziehung_von='".$gml_bs."' "; // id buchungsstelle (fiktives Blatt)
-		$sql.="AND   (v.beziehungsart='an' OR v.beziehungsart='zu') ";
+		$sql.="AND (v.beziehungsart='an' OR v.beziehungsart='zu') ";
 		$sql.="ORDER BY s.laufendenummer;";
 
Index: /trunk/var/www/info/alkis/alkisnamstruk.php
===================================================================
--- /trunk/var/www/info/alkis/alkisnamstruk.php	(revision 75)
+++ /trunk/var/www/info/alkis/alkisnamstruk.php	(revision 76)
@@ -10,5 +10,5 @@
 	14.12.2010  Pfad zur Conf
 	17.12.2010  Astrid Emde: Prepared Statements (pg_query -> pg_prepare + pg_execute)
-
+	26.01.2011  Space in leere td
 	ToDo: 
 	Sortierung der GrundbÃŒcher zum Namen
@@ -84,7 +84,7 @@
 		echo "\t<tr><td class='nhd'>Vorname:</td><td class='nam'>".$vor."</td></tr>\n";
 		echo "\t<tr><td class='nhd'>Geburtsname:</td><td class='nam'>".$geb."</td></tr>\n";
-		echo "\t<tr><td class='nhd'>Geburtsdatum:</td><td class='nam'>".$row["geburtsdatum"]."</td></tr>\n";
-		echo "\t<tr><td class='nhd'>Namensbestandteil:</td><td class='nam'>".$row["namensbestandteil"]."</td></tr>\n";
-		echo "\t<tr><td class='nhd'>akademischer Grad:</td><td class='nam'>".$aka."</td></tr>\n";
+		echo "\t<tr><td class='nhd'>Geburtsdatum:</td><td class='nam'>".$row["geburtsdatum"]."&nbsp;</td></tr>\n";
+		echo "\t<tr><td class='nhd'>Namensbestandteil:</td><td class='nam'>".$row["namensbestandteil"]."&nbsp;</td></tr>\n";
+		echo "\t<tr><td class='nhd'>akademischer Grad:</td><td class='nam'>".$aka."&nbsp;</td></tr>\n";
 	echo "\n</table>\n<hr>\n";
 
Index: /trunk/var/www/info/alkis/alkisgebaeudenw.php
===================================================================
--- /trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 75)
+++ /trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 76)
@@ -11,4 +11,5 @@
 	25.01.2011  F.J.: Strassennamen zur Hausnummer
 					https://trac.wheregroup.com/PostNAS/ticket/6
+	26.01.2011  Space in leere td
 	ToDo: lfd.Nr. der NebengebÃ€ude alternativ zur Hausnummer anzeigen.
 		Dazu aber Join auf ax_lagebezeichnungmitpseudonummer notwendig.
@@ -203,17 +204,24 @@
 		$gebnr = $gebnr + 1;
 		$gebflsum = $gebflsum + $rowg["schnittflae"];
+		$skey=$rowg["lage"]; // Strassenschluessel		
+		$gnam=$rowg["name"];
 		echo "\n<tr>";
-			echo "\n\t<td>";
-				// Hausnummer und Strassenname oder Gebaeudename				
-				if ($showkey) {
-					echo "<span class='key'>(".$rowg["lage"].")</span>&nbsp;";
-				}
-				echo htmlentities($rowg["bezeichnung"], ENT_QUOTES, "UTF-8")."&nbsp;"; // Str.-Name
-				echo $rowg["hausnummer"]."&nbsp;".$rowg["name"];
-				if ($idanzeige) {
-					linkgml($gkz, $rowg["gml_id"], "Geb&auml;ude");
-				}
-				// +++ Wenn HsNr leer ist: hier eine Abfrage auf NebengebÃ€ude-Nr.
-			echo "</td>";
+			if ($skey.$gnam != "") {	// Hausnummer und Strassenname oder Gebaeudename
+				echo "\n\t<td title='Hauptgeb&auml;ude'>";
+					if ($showkey) {
+						echo "<span class='key'>(".$skey.")</span>&nbsp;";
+					}
+					echo htmlentities($rowg["bezeichnung"], ENT_QUOTES, "UTF-8")."&nbsp;"; // Str.-Name
+					echo $rowg["hausnummer"]."&nbsp;".$gnam;
+					if ($idanzeige) {
+						linkgml($gkz, $rowg["gml_id"], "Geb&auml;ude");
+					}
+				echo "</td>";
+			} else {
+				echo "\n\t<td title='Nebengeb&auml;ude'>";
+					echo "(Nebengeb&auml;ude)"; // +++ nur vorlaeufiger Platzhalter! Hier kommt lfd-Nr hin.
+					// +++ SQL-Abfrage auf ax_LagebezeichnungMitPseudonummer
+				echo "</td>";		
+			}
 
 			if ($rowg["drin"] == "t") { // 3 komplett enthalten
@@ -230,5 +238,5 @@
 			}
 
-			echo "\n\t<td>".$rowg["aog"]."</td>";
+			echo "\n\t<td>".$rowg["aog"]."&nbsp;</td>";
 
 			echo "\n\t<td>";
@@ -242,5 +250,5 @@
 				echo "<span class='key'>".$rowg["bauweise"]."</span>&nbsp;";
 			}
-			echo $rowg["bauweise_beschreibung"]."</td>";
+			echo $rowg["bauweise_beschreibung"]."&nbsp;</td>";
 
 			echo "\n\t<td class='nwlink noprint'>";
@@ -279,8 +287,9 @@
 			echo "\n\t<td>&nbsp;</td>"; // 5
 			echo "\n\t<td>&nbsp;</td>"; // 6
+			echo "\n\t<td>&nbsp;</td>"; // 7
 		echo "\n</tr>";
 	echo "\n</table>";
 	$unbebaut = number_format(($flstflaeche - $gebflsum),0,",",".") . " m&#178;";
-	echo "\n<p>Flurst&uuml;cksfl&auml;che abz&uuml;glich Geb&auml;udefl&auml;che: <b>".$unbebaut."</b></p>";
+	echo "\n<p>Flurst&uuml;cksfl&auml;che abz&uuml;glich Geb&auml;udefl&auml;che: <b>".$unbebaut."</b></p><br>";
 }
 
Index: /trunk/var/www/info/alkis/alkisfsnw.php
===================================================================
--- /trunk/var/www/info/alkis/alkisfsnw.php	(revision 75)
+++ /trunk/var/www/info/alkis/alkisfsnw.php	(revision 76)
@@ -13,7 +13,9 @@
 	04.01.2011  Frank JÃ€ger: verkuerzte Nutzungsart-Zeilen mit Icon. Tabelle Gebiet/Lage/Nutzung 4spaltig.
 	05.01.2011  Korrektur der Fallunterscheidung "Funktion", auch "Vegetationsmerkmal", Title auf "Zustand".
-
-	ToDo: 
-	NamNum >bestehtAusRechtsverhaeltnissenZu> NamNum
+	26.01.2011  Space in leere td
+	ToDo:
+	- EntschlÃŒsseln "Bahnkategorie" bei Behnverkehr, "OberflÃ€chenmaterial" bei Unland
+	  Dazu evtl. diese Felder ins Classfld verschieben (Meta-Tabellen!)
+	- NamNum >bestehtAusRechtsverhaeltnissenZu> NamNum
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
@@ -145,5 +147,5 @@
 	echo "<span class='key'>(".$gemeinde.")</span> ";
 }
-echo $gnam."</td><td></td></tr>";
+echo $gnam."</td><td>&nbsp;</td></tr>";
 
 // K r e i s
@@ -156,9 +158,9 @@
 $row = pg_fetch_array($res);
 $knam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
-echo "<tr><td></td><td>Kreis</td><td>";
+echo "<tr><td>&nbsp;</td><td>Kreis</td><td>";
 if ($showkey) {
 	echo "<span class='key'>(".$kreis.")</span> ";
 }
-echo $knam."</td><td></td></tr>";
+echo $knam."</td><td>&nbsp;</td></tr>";
 
 // R e g - B e z
@@ -168,9 +170,9 @@
 $row = pg_fetch_array($res);
 $bnam = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
-echo "<tr><td></td><td>Regierungsbezirk</td><td>";
+echo "<tr><td>&nbsp;</td><td>Regierungsbezirk</td><td>";
 if ($showkey) {
 	echo "<span class='key'>(".$bezirk.")</span> ";
 }
-echo $bnam."</td><td></td></tr>";
+echo $bnam."</td><td>&nbsp;</td></tr>";
 // ENDE G e b i e t s z u g e h o e r i g k e i t
 
@@ -214,5 +216,5 @@
 			echo "<td>&nbsp;</td>";
 		}
-		echo "\n\t<td></td>";
+		echo "\n\t<td>&nbsp;</td>";
 		echo "\n\t<td class='lr'>";
 		if ($showkey) {
Index: /trunk/var/www/info/alkis/alkisauszug.css
===================================================================
--- /trunk/var/www/info/alkis/alkisauszug.css	(revision 75)
+++ /trunk/var/www/info/alkis/alkisauszug.css	(revision 76)
@@ -6,5 +6,6 @@
 	30.09.2010  body-width bei Print
 	12.10.2010  class p.fsd: margin statt position-relative, dann keine Scrollbar
-	04.01.2010  Spalte td.fla im fsnw
+	04.01.2011  Spalte td.fla im fsnw
+	26.01.2011  einheitlich td padding-top 6px
 */
 body	{background-color: #FDFFFD;}
@@ -56,5 +57,4 @@
 	margin-top: 8px;
 	margin-left: 0.7in;
-	/* margin-right: 0.7in; */
 	overflow: auto;
 	padding: 6px;
@@ -80,13 +80,13 @@
 table.fs, table.nua, table.klas, table.eig, table.outer, table.geb {width: 100%;}
 
-td	{vertical-align: top;}			/*  ** Tabellenfelder ** */
-/* td	{vertical-align: top; border: 1px dotted gray; }  Variante fuer TEST */
+td	{vertical-align: top; padding-top: 6px;}	/* ** Tabellenfelder ** */
+/* border: 1px dotted gray;  Variante fuer TEST */
 
-td.ll	{width: 130px; padding-top: 8px;}	/* Liste Links */
-td.lr	{color: black; padding-top: 8px;}	/* Liste Rechts */
-td.ph	{color: gray;  padding-top: 8px;}	/* Platzhalter, vorlaeufig, spaeter loschen */
+td.ll	{width: 130px;}	/* Liste Links */
+td.lr	{color: black;}	/* Liste Rechts */
+td.ph	{color: gray;}		/* Platzhalter, vorlaeufig, spaeter loschen */
 
 /* Flaechen rechtsbuendig (stellengerecht) */
-td.fla	{width: 110px; padding-right: 4px; padding-top:  8px; text-align: right;}
+td.fla	{width: 110px; padding-right: 4px; text-align: right;}
 td.key	{width:  35px; padding-right: 4px; padding-left: 4px;}
 /* Ertragsmesszahl der Bodenschaetzung
@@ -100,7 +100,7 @@
 td.nrap, p.nrap	{font-size: 9pt; font-style: italic; background-color: white;}			/* Nummer im Aufteilungsplan */
 
-td.fett	{padding-top: 8px; font-weight: bold;}
-td.head	{border-bottom: 1px solid gray; font-style: italic;}	/* Kopfzeile, Spaltenueberschrift */
-td.sum {border-top:2px dotted maroon;	border-bottom:3px solid maroon;
+td.fett	{font-weight: bold;}
+td.head	{border-bottom: 1px solid gray; font-style: italic; padding-top: 2px;}	/* Kopfzeile, Spaltenueberschrift */
+td.sum {border-top: 2px dotted maroon;	border-bottom:3px solid maroon;
 	border-left:0px dotted maroon;	border-right:0px dotted maroon;
 	font-weight: bold;}				/* unter dem Strich = Summenzeile */
@@ -110,5 +110,5 @@
 td.gbl	{border-bottom: 1px dotted green;}	/* Name: GB-Liste */
 /* Inlay analog Template: linke Tabellenspalte - Feldname */
-td.li, td.gr {color:gray; padding-left:8px; padding-right:8px; border-bottom:0px; vertical-align:top;}
+td.li, td.gr {color:gray; padding-left: 8px; padding-right:8px; border-bottom: 0px; vertical-align:top;}
 /* dienendes GB in FS-Tab im Best-NW  */
 td.dien	{font-size: 9pt; font-style: italic; color: purple; border-bottom: 1px solid silver;}